[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[rhelv5-list] what package may I need?



Hi,all
	I use Mvapich2 0.9.8, on PowerPC, RHEL4 , when I use mpicc to compile hpl, I got many errors as below:  

/usr/bin/ld: /usr/mpi/gcc/mvapich2-0.9.8-15/lib/libmpich.a(malloc.o)(.text+0x4ac0): unresolvable R_PPC64_REL24 relocation against symbol `pthread_mutex_trylock@@GLIBC_2.3'
/usr/bin/ld: /usr/mpi/gcc/mvapich2-0.9.8-15/lib/libmpich.a(malloc.o)(.text+0x4b10): unresolvable R_PPC64_REL24 relocation against symbol `pthread_mutex_unlock@@GLIBC_2.3'
/usr/bin/ld: final link failed: Nonrepresentable section on output
collect2: ld returned 1 exit status
make[2]: *** [dexe.grd] Error 1


my glibc is glibc = 2.3.4-2.19,  glibc-devel-2.3.4-2.19.ppc, glibc-devel-2.3.4-2.19.ppc64.

What package do I need for successful compile? , or any suggestions?
Thanks in advance 


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]